Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Announcing a Repository for the KDE 4.7.4 upgrade

Message
Author
User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 4308
Joined: Wed Jul 12, 2006 4:05 pm

Announcing a Repository for the KDE 4.7.4 upgrade

#1 Post by timkb4cq » Mon Jan 30, 2012 10:00 pm

There is now a repository at
deb http://teharris.net/mepiscr/kde/ kde4.7 test
To upgrade MEPIS 11 to KDE 4.7.4
or for those who find it easier to read in the form Synaptic displays it:

http://teharris.net/mepiscr/kde/
kde4.7
test

This is a large upgrade which must be done from the command line, and it's not recommended for novices or for your main production system.
That said, it is a smoother upgrade here than the 4.6.5 was and seems pretty stable in limited testing.

Directions from a clean MEPIS 11 install:
Open Synaptic. Install aptitude and upgrade mepis-confg
If you want to keep Amarok, enable the main CR ( http://main.mepis-deb.org/mepiscr mepis11cr main non-free), Reload, Change Settings -> Preferences -> Distributions to prefer versions from mepis and upgrade ffmpeg.
Now add both KDE repositories

http://teharris.net/mepiscr/kde/
kde4.7
test
and
http://teharris.net/mepiscr/kde/
experimental
test

Reload & close Synaptic.

Open a Console session with <Ctl><Alt><F1> , log in as root and run
aptitude -t mepis dist-upgrade

This should just remove just 2 (no longer needed) libraries (and Amarok if you didn't upgrade ffmpeg), and download over 500 MB of packages to upgrade & install.
When it finishes successfully, run /etc/init.d/kdm restart and you'll boot into your new KDE 4.7.4 desktop.

If you plan to upgrade more than one system, please change your Synaptic Settings -> Preferences -> Files to leave all packages in the cache so you can move them over from /var/cache/apt/archives locally instead of downloading them all over again.
The CR slowed down from all the bandwidth when the last KDE upgrade went up, so be considerate.

Enjoy!
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
richb
Administrator
Posts: 16982
Joined: Wed Jul 12, 2006 2:17 pm

Re: Announcing a Repository for the KDE 4.7.4 upgrade

#2 Post by richb » Mon Jan 30, 2012 10:05 pm

Tim, I assume this is for an upgrade starting with a standard M11 install and the procedure for an upgrade from KDE 4.6.5 is different.
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX 17.1
AMD A8 7600 FM2+ CPU R7 Graphics, 16 GIG Mem. Three Samsung EVO SSD's 250 GB, 350 GB HD

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 4308
Joined: Wed Jul 12, 2006 4:05 pm

Re: Announcing a Repository for the KDE 4.7.4 upgrade

#3 Post by timkb4cq » Mon Jan 30, 2012 10:17 pm

Correct, these directions were for a clean MEPIS 11 install. I know they still work if the regular updates have been along the way as well.
I actually haven't tried an upgrade from 4.6.5, but the same process should work. You'll just have the first bits done already.
There will be somewhat less to download as you already will have the newer Qt libraries but it's still a lot.
Last edited by timkb4cq on Mon Jan 30, 2012 10:31 pm, edited 1 time in total.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
richb
Administrator
Posts: 16982
Joined: Wed Jul 12, 2006 2:17 pm

Re: Announcing a Repository for the KDE 4.7.4 upgrade

#4 Post by richb » Mon Jan 30, 2012 10:20 pm

What is the repo Stevo posted then?

deb http://main.mepis-deb.org/mepiscr/kde/ kde4.7 test
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX 17.1
AMD A8 7600 FM2+ CPU R7 Graphics, 16 GIG Mem. Three Samsung EVO SSD's 250 GB, 350 GB HD

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 4308
Joined: Wed Jul 12, 2006 4:05 pm

Re: Announcing a Repository for the KDE 4.7.4 upgrade

#5 Post by timkb4cq » Mon Jan 30, 2012 10:29 pm

That's the same repo. I wasn't aware he had posted it. I thought he had just PM'd it to some folks.
I've been working out the last few dependency issues before making the announcement. Up until a couple hours ago the upgrade would remove digikam & leave nepomuk crashing on boot up if you hadn't done an update from the testing M11 CR first. I didn't want the M11 testing CR to be a required part of the upgrade if it could be helped.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
uncle mark
Forum Veteran
Forum Veteran
Posts: 4966
Joined: Sat Nov 11, 2006 10:42 pm

Re: Announcing a Repository for the KDE 4.7.4 upgrade

#6 Post by uncle mark » Mon Jan 30, 2012 10:40 pm

timkb4cq wrote:That's the same repo. I wasn't aware he had posted it. I thought he had just PM'd it to some folks.
I've been working out the last few dependency issues before making the announcement. Up until a couple hours ago the upgrade would remove digikam & leave nepomuk crashing on boot up if you hadn't done an update from the testing M11 CR first. I didn't want the M11 testing CR to be a required part of the upgrade if it could be helped.
Can I assume Warren has been made aware of this, in case it will aid him with his new release?
Desktop: Custom build Asus/AMD/nVidia -- MEPIS 11
Laptop: Acer Aspire 5250 -- MX-15
Assorted junk: assorted Linuxes

User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 22243
Joined: Wed Jul 19, 2006 6:13 am

Re: Announcing a Repository for the KDE 4.7.4 upgrade

#7 Post by Jerry3904 » Mon Jan 30, 2012 10:43 pm

I have kept him in the loop.
Production: 4.15.0-1-amd64, MX-17.1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, Kingston SSD 120 GB and WesternDigital 1TB
Testing: AAO 722: 4.15.0-1-386. MX-17.1, AMD C-60 APU, 4 GB

User avatar
KrispyKritter
Forum Regular
Forum Regular
Posts: 551
Joined: Fri Dec 29, 2006 8:09 pm

Re: Announcing a Repository for the KDE 4.7.4 upgrade

#8 Post by KrispyKritter » Mon Jan 30, 2012 11:40 pm

I gave it a try and had 7 errors which seem to be dealing with digicam. I don't use digicam as far as I know so I ignored them.

Reboot would not go past the login screen. Went to a failsafe mode and get error that there isn't an acceptable display selected.

This was not done on a fresh install, but one that was less than a month old and had not been tweaked other than loading packages.

Steve

EDIT The system had been up graded to KDE4.6 and was completely up to date (ran apt-get update and upgrade prior to starting the installation of KDE4.7
Steve
I messed with the dragon and now I am ready for the ketchup!
The only stupid question is the one you already know the answer.

~Krispy Kritter~
Toshiba Satellite A215-S7427(AMD-64)
Windows7/M11(KDE4.6.5)/M11(RoadblockTRK2-32)'buntus13.1/MX14b2/Tanglu1.0

User avatar
Danum
Forum Guide
Forum Guide
Posts: 2556
Joined: Sun Mar 25, 2007 5:49 pm

Re: Announcing a Repository for the KDE 4.7.4 upgrade

#9 Post by Danum » Tue Jan 31, 2012 9:34 am

This should just remove just 2 (no longer needed) libraries (and Amarok if you didn't upgrade ffmpeg), and download over 500 MB of packages to upgrade & install.
Tim, you need to look again regarding what should be removed.

Commit Log for Tue Jan 31 00:21:15 2012


Removed the following packages:
amarok
digikam
kdebase-data (no longer required in KDE 4.7)
kdebase-runtime-data (no longer required in KDE 4.7)
kdebase-workspace-data (no longer required in KDE 4.7)
kdebase-workspace-kgreet-plugins (no longer required in KDE 4.7)
knm-runtime (no longer required in KDE 4.7)
libakonadiprivate1 (no longer required in KDE 4.7)
libkdegames5 (4:4.5.3)(no longer required in KDE 4.7)
libkonq5a (4:4.5.3)(no longer required in KDE 4.7)
Upgraded the following packages:
akonadi-backend-mysql (1.4.0-0r2) to 1.6.2-1mcr115+1
akonadi-server (1.4.0-0r2) to 1.6.2-1mcr115+1
amarok-common (2.4.0-1) to 2.5.0-1mcr115+1
amarok-utils (2.4.0-1) to 2.5.0-1mcr115+1
ark (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
digikam-data (2:1.9.0-1) to 4:2.5.0-1mcr115+1
dolphin (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
freespacenotifier (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
gwenview (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kamera (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kcalc (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kcharselect (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kde-config-phonon-xine (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kde-window-manager (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
kdebase-apps (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kdebase-bin (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kdebase-runtime (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kdebase-workspace (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
kdebase-workspace-bin (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
kdegames-card-data (4:4.4.5-1) to 4:4.7.4-1mcr115+1
kdegames-mahjongg-data (4:4.4.5-1) to 4:4.7.4-1mcr115+1
kdegraphics-libs-data (4:4.5.1-0r1) to 4:4.7.4+5.73mcr115+1
kdelibs-bin (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kdelibs5-data (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kdelibs5-plugins (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kdemultimedia-kio-plugins (4:4.4.5-1) to 4:4.7.4-1mcr115+1
kdenetwork-filesharing (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kdenlive (0.7.8+svn5529-1) to 0.8.2.1-2mcr115+1
kdenlive-data (0.7.8+svn5529-1) to 0.8.2.1-2mcr115+1
kdepasswd (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kdepim-kresources (4:4.4.7-3) to 4:4.4.11.1+l10n-1mcr110+1
kdepim-runtime (4:4.4.7-1) to 4:4.4.11.1-2mcr110+1
kdepimlibs-kio-plugins (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kdeplasma-addons (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
kdf (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kdm (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
kdoctools (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kfind (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kgamma (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kgpg (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
khelpcenter4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kinfocenter (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
klines (4:4.4.5-1) to 4:4.7.4-1mcr115+1
klipper (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
kmahjongg (4:4.4.5-1) to 4:4.7.4-1mcr115+1
kmail (4:4.4.7-3) to 4:4.4.11.1+l10n-1mcr110+1
kmines (4:4.4.5-1) to 4:4.7.4-1mcr115+1
kmix (4:4.4.5-1) to 4:4.7.4-1mcr115+1
knotes (4:4.4.7-3) to 4:4.4.11.1+l10n-1mcr110+1
kolourpaint4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
konq-plugins (4:4.4.0-2+b1) to 4:4.7.4-1mcr115+1
konqueror (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
konqueror-nsplugins (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
konsole (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
kopete (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kpat (4:4.4.5-1) to 4:4.7.4-1mcr115+1
kppp (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
krdc (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kscd (4:4.4.5-1) to 4:4.7.4-1mcr115+1
kscreensaver (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
kshisen (4:4.4.5-1) to 4:4.7.4-1mcr115+1
ksnapshot (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
ksysguard (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
ksysguardd (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
kuser (4:4.4.5-4) to 4:4.7.4-1mcr115+1
kwalletmanager (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
kwrite (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libakonadi-contact4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libakonadi-kabc4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libakonadi-kcal4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libakonadi-kde4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libakonadi-kmime4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libattica0 (0.1.4-1) to 0.2.0-1mcr110+1
libdbusmenu-qt2 (0.5.1-1) to 0.9.0-1mcr110+1
libglib2.0-0 (2.24.2-1) to 2.28.6-1mcr110+1
libgpgme++2 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkabc4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkatepartinterfaces4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkblog4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkcal4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkcddb4 (4:4.4.5-1) to 4:4.7.4-1mcr115+1
libkcmutils4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkde3support4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkdecorations4 (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
libkdecore5 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkdepim4 (4:4.4.7-3) to 4:4.4.11.1+l10n-1mcr110+1
libkdesu5 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkdeui5 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkdewebkit5 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkdnssd4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkemoticons4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkfile4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkholidays4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkhtml5 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkidletime4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkimap4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkimproxy4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkio5 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkjsapi4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkjsembed4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkldap4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkleo4 (4:4.4.7-3) to 4:4.4.11.1+l10n-1mcr110+1
libkmediaplayer4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkmime4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libknewstuff2-4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libknewstuff3-4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libknotifyconfig4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkntlm4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkonq5-templates (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkonqsidebarplugin4a (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkontactinterface4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkopete4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkparts4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkpgp4 (4:4.4.7-3) to 4:4.4.11.1+l10n-1mcr110+1
libkpimidentities4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkpimtextedit4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkpimutils4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkprintutils4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkpty4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkresources4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkrosscore4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkrossui4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkscreensaver5 (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
libksgrd4 (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
libksieve4 (4:4.4.7-3) to 4:4.4.11.1+l10n-1mcr110+1
libksignalplotter4 (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
libktexteditor4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libktnef4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libkunitconversion4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkutils4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libkworkspace4 (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
libkxmlrpcclient4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libmailtransport4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libmessagecore4 (4:4.4.7-3) to 4:4.4.11.1+l10n-1mcr110+1
libmessagelist4 (4:4.4.7-3) to 4:4.4.11.1+l10n-1mcr110+1
libmicroblog4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libmimelib4 (4:4.4.7-3) to 4:4.4.11.1+l10n-1mcr110+1
libnepomuk4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libnepomukquery4a (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libokularcore1 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libpcre3 (8.02-1.1) to 8.12-3mcr110+1
libphonon4 (4:4.6.0really4.4.3-1) to 4:4.6.0really4.5.0-4mcr110+1
libplasma-geolocation-interface4 (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
libplasma3 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libplasmagenericshell4 (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
libpolkit-agent-1-0 (0.96-4+squeeze1) to 0.102-1mcr110+1
libpolkit-backend-1-0 (0.96-4+squeeze1) to 0.102-1mcr110+1
libpolkit-gobject-1-0 (0.96-4+squeeze1) to 0.102-1mcr110+1
libpoppler-qt4-3 (0.12.4-1.2) to 0.16.7-2mcr110+1
libprocessui4a (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
libqgpgme1 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libqjson0 (0.7.1-1) to 0.7.1-3mcr110+1
libqt4-assistant (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-core (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-dbus (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-designer (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-gui (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-help (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-network (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-opengl (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-qt3support (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-script (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-scripttools (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-sql (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-sql-mysql (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-sql-sqlite (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-svg (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-test (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-webkit (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-xml (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqt4-xmlpatterns (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqtcore4 (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqtgui4 (4:4.7.1-2) to 4:4.7.3-8mcr110+1
libqtwebkit4 (2.0~week26-2) to 2.1.0~2011week13-3mcr110+1
libsolid4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libsoprano4 (2.5.0+dfsg.1-1) to 2.7.3+dfsg.1-1mcr115+1
libsyndication4 (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
libthreadweaver4 (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
libvncserver0 (0.9.7-2+b1) to 0.9.8.2-2mcr115+1
marble-data (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
marble-plugins (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
network-manager (0.8.1-6+squeeze1) to 0.9.0-2mcr110+1
okular (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
okular-extra-backends (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
oxygen-icon-theme (4:4.5.1-0r1) to 4:4.6.2-1mcr110+1
phonon (4:4.6.0really4.4.3-1) to 4:4.6.0really4.5.0-4mcr110+1
phonon-backend-xine (4:4.6.0really4.4.3-1) to 4:4.6.0really4.4.4-4mcr110+1
plasma-dataengines-addons (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-dataengines-workspace (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-dataengines-yawp (0.3.6-2) to 0.3.6-2mcr110+1
plasma-desktop (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-desktopthemes-artwork (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-netbook (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-runners-addons (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-scriptengine-javascript (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
plasma-scriptengine-python (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-scriptengine-webkit (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-wallpapers-addons (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-widget-folderview (4:4.5.3-0r1) to 4:4.7.4-1mcr115+1
plasma-widget-lancelot (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-widget-networkmanagement (0.1~svn1175124-1+kde45) to 0.9~git20111103.1240c6f-1mcr110+1
plasma-widget-yawp (0.3.6-2) to 0.3.6-2mcr110+1
plasma-widgets-addons (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
plasma-widgets-workspace (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
policykit-1 (0.96-4+squeeze1) to 0.102-1mcr110+1
polkit-kde-1 (0.95.1-2+b1) to 0.99.0-3mcr110+1
poppler-utils (0.12.4-1.2) to 0.16.7-2mcr110+1
printer-applet (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
python-dbus (0.83.1-1) to 0.84.0-2mcr110+1
python-kde4 (4:4.4.5-3) to 4:4.6.80-3mcr110+1
python-qt4 (4.7.3-1+b1) to 4.8.3-4mcr110+1
python-qt4-dbus (4.7.3-1+b1) to 4.8.3-4mcr110+1
python-sip (4.10.2-1) to 4.12.3-1mcr110+1
shared-desktop-ontologies (0.5-1) to 0.8.1-2mcr115+1
soprano-daemon (2.5.0+dfsg.1-1) to 2.7.3+dfsg.1-1mcr115+1
sweeper (4:4.5.1-0r1) to 4:4.7.4-1mcr115+1
system-config-printer-kde (4:4.4.5-4) to 4:4.7.4-1mcr115+1
systemsettings (4:4.5.1-0r2) to 4:4.7.4-1mcr115+1
wpasupplicant (0.6.10-2.1) to 0.7.3-5mcr110+1
Installed the following packages:
docbook-xsl (1.75.2+dfsg-5)
kate-data (4:4.7.4-1mcr115+1)
katepart (4:4.7.4-1mcr115+1)
kde-baseapps (4:4.7.4-1mcr115+1)
kde-baseapps-bin (4:4.7.4-1mcr115+1)
kde-baseapps-data (4:4.7.4-1mcr115+1)
kde-runtime (4:4.7.4-1mcr115+1)
kde-runtime-data (4:4.7.4-1mcr115+1)
kde-style-oxygen (4:4.7.4-1mcr115+1)
kde-wallpapers-default (4:4.7.4-1mcr115+1)
kde-workspace (4:4.7.4-1mcr115+1)
kde-workspace-bin (4:4.7.4-1mcr115+1)
kde-workspace-data (4:4.7.4-1mcr115+1)
kde-workspace-kgreet-plugins (4:4.7.4-1mcr115+1)
libakonadiprotocolinternals1 (1.6.2-1mcr115+1)
libcanberra0 (0.24-1)
libdiscid0 (0.2.2-1)
libdlrestrictions1 (0.14.2-1mcr110+1)
libdmtx0a (0.7.2-1+b1)
libexiv2-11 (0.22-1mcr110+1)
libkcalcore4 (4:4.7.4-1mcr115+1)
libkcalutils4 (4:4.7.4-1mcr115+1)
libkdcraw-data (4:4.7.4-1mcr115+1)
libkdcraw20 (4:4.7.4-1mcr115+1)
libkdeclarative5 (4:4.7.4-1mcr115+1)
libkdegames5a (4:4.7.4-1mcr115+1)
libkephal4abi1 (4:4.7.4-1mcr115+1)
libkexiv2-10 (4:4.7.4-1mcr115+1)
libkexiv2-data (4:4.7.4-1mcr115+1)
libkipi-data (4:4.7.4-1mcr115+1)
libkipi8 (4:4.7.4-1mcr115+1)
libkmahjongglib4 (4:4.7.4-1mcr115+1)
libkonq-common (4:4.7.4-1mcr115+1)
libkonq5abi1 (4:4.7.4-1mcr115+1)
libksane-data (4:4.7.4-1mcr115+1)
libkwineffects1abi2 (4:4.7.4-1mcr115+1)
libmarblewidget12 (4:4.7.4-1mcr115+1)
libmusicbrainz3-6 (3.0.2-2)
libnepomukutils4 (4:4.7.4-1mcr115+1)
libnl3 (3.0-2mcr110+1)
libnm-glib4 (0.9.0-2mcr110+1)
libnm-util2 (0.9.0-2mcr110+1)
libopencv-core2.3 (2.3.1-4mcr110+1)
libopencv-flann2.3 (2.3.1-4mcr110+1)
libopencv-imgproc2.3 (2.3.1-4mcr110+1)
libopencv-video2.3 (2.3.1-4mcr110+1)
libplasmaclock4abi2 (4:4.7.4-1mcr115+1)
libpolkit-qt-1-1 (0.99.0-3mcr110+1)
libpoppler13 (0.16.7-2mcr110+1)
libprison0 (1.0+dfsg-1mcr115+1)
libprocesscore4abi1 (4:4.7.4-1mcr115+1)
libqrencode3 (3.1.1-1)
libqt4-declarative (4:4.7.3-8mcr110+1)
libqtlocation1 (1.2.0-1mcr110+1)
libqtmultimediakit1 (1.2.0-1mcr110+1)
libqzeitgeist0 (0.7.0-1mcr110+1)
libsolidcontrol4abi1 (4:4.6.5-2mcr110+2)
libsolidcontrol4abi2 (4:4.7.4-1mcr115+1)
libsolidcontrolifaces4abi2 (4:4.7.4-1mcr115+1)
libtaskmanager4abi2 (4:4.7.4-1mcr115+1)
libtdb1 (1.2.1-2+b1)
libupower-glib1 (0.9.5-5)
libweather-ion6 (4:4.7.4-1mcr115+1)
mobile-broadband-provider-info (20110806-1mcr110+1)
plasma-containments-addons (4:4.7.4-1mcr115+1)
upower (0.9.5-5)
Desktop.
Zalman Z11 Plus ATX PC Tower, AMD FX 8350 Black Edition Vishera, 8 Core 4.4 GHz, Kingston HyperX FURY Red 16GB, Nvidia GT740 Graphics, Pioneer BDR-209EBK Writer, 2 x Seagate 1TB SSHD SATA Hybrid Hard Drives. ASUS VS278Q 27 inch HD Monitor

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 15979
Joined: Fri Dec 15, 2006 8:07 pm

Re: Announcing a Repository for the KDE 4.7.4 upgrade

#10 Post by Stevo » Tue Jan 31, 2012 12:54 pm

Digikam 2.0 unfortunately included parts of KDE 4.7 as separate libraries. After removing digikam, showfoto, and kipi-plugins, an

Code: Select all

apt-get autoremove
should flush all those libraries out, since nothing else uses them, then allow for the digikam 2.5.0 upgrade.
The optimist proclaims that we live in the best of all possible worlds, and the pessimist fears this is true.

James Branch Cabell

Post Reply

Return to “Community Submissions”